Bug 217249 - (atomorun) Review Request: atomorun - Jump&Run game where you have to flee an exploding nuclear bomb
Review Request: atomorun - Jump&Run game where you have to flee an exploding ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-25 16:17 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 13:51:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-25 16:17:27 EST
Spec URL: http://people.atrpms.net/~hdegoede/atomorun.spec
SRPM URL: http://people.atrpms.net/~hdegoede/atomorun-1.1-0.1.pre2.fc7.src.rpm
Description:
Atomorun is a OpenGL Jump&Run game where you have to flee an exploding
nuclear bomb.
Comment 1 Christopher Stone 2006-11-25 16:53:50 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- package licensed with open source compatible license
- license matches actual license
- license included in %doc
- spec written in American english
- spec legible
- sources match upstream
41522a330c0da7c6e79c46baa2c1d8c3  atomorun-1.1_pre2.tar.gz
- package successfully compiles and builds on FC6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
X package uses a directory which is not pulled in from Requires
- no duplicates in %files
- file permissions set properly
- spec contains proper %clean section
- macro usage is consistent
- package contains code
- no large documentation
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- no devel subpackage required
- no .la files
- GUI app contains proper .desktop file
- package does not own files or directories owned by other packages


==== MUST FIX ====
- Add Requires: icons-hicolor-theme to pull in icons directory
Comment 2 Michał Bentkowski 2006-11-25 17:01:42 EST
(In reply to comment #1)
> ==== MUST FIX ====
> - Add Requires: icons-hicolor-theme to pull in icons directory
> 

Shouldn't it be hicolor-icon-theme? ;)
Comment 3 Christopher Stone 2006-11-25 17:02:12 EST
> Shouldn't it be hicolor-icon-theme? ;)

ya probably :)
Comment 4 Hans de Goede 2006-11-26 02:18:43 EST
(In reply to comment #1)
> ==== MUST FIX ====
> - Add Requires: icons-hicolor-theme to pull in icons directory
> 

/me stupid, doh

New version with this fixed here:
Spec URL: http://people.atrpms.net/~hdegoede/atomorun.spec
SRPM URL: http://people.atrpms.net/~hdegoede/atomorun-1.1-0.2.pre2.fc7.src.rpm
Comment 5 Christopher Stone 2006-11-26 07:36:00 EST
All MUST items fixed, APPROVED.
Comment 6 Hans de Goede 2006-11-26 13:51:37 EST
Thanks, imported and building as we speak, closing.

Note You need to log in before you can comment on or make changes to this bug.